import "./tasks/Trim.wdl" as Trim
import "./tasks/Mapping.wdl" as Meapping
import "./tasks/Dedup.wdl" as Dedup
import "./tasks/Call_meth.wdl" as Call_meth


workflow {{ project_name }} {

	File fastq_1
	File fastq_2

	String sample
	String docker
	

	String disk_size
	String cluster_config

    File ref_dir



	call BQSR.BQSR as BQSR {
		input:
		sample=sample,
		ref_dir=ref_dir,
		fastq_1=fastq_1,
		fastq_2=fastq_2,
		docker=docker,
		disk_size=disk_size,
		cluster_config=cluster_config
	}
	call mapping.mapping as mapping {
		input: 
		sample=sample,
		ref_dir=ref_dir,
		trim_read1=trim_read1,
		trim_read2=trim_read2,
		docker=docker,
		disk_size=disk_size,
		cluster_config=cluster_config
	}
	call Dedup.Dedup as Dedup {
		input:
		unsorted_bam=mapping_R1_val_1_bismark_bt2_pe.bam,
		sample=sample,
		docker=docker,
		disk_size=disk_size,
		cluster_config=cluster_config
	}
	call Haplotyper.Haplotyper as Haplotyper {
		input:
		ref_dir=ref_dir,
		Dedup_bam=Dedup_R1_val_1_bismark_bt2_pe.deduplicated.bam,
		sample=sample,
		docker=docker,
		disk_size=disk_size,
		cluster_config=cluster_config
	}
}
